Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class Record

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record

Direct Known Subclasses:
  AbstractEscherHolderRecord, ContinuableRecord, LabelRecord, LastCellOfRowDummyRecord, MissingCellDummyRecord, MissingRowDummyRecord, ObjRecord, StandardRecord

    public abstract class Record

extends RecordBase

Title: Record Description: All HSSF Records inherit from this class.

Author:
  Andrew C. Oliver, Marc Johnson (mjohnson at apache dot org), Jason Height (jheight at chariot dot net dot au)

Method Summary
`java.lang.Object` | `clone()`
`Record` | `cloneViaReserialise()` Clone the current record, via a call to serialize it, and another to create a new record from the bytes.
`abstract short` | `getSid()` return the non static version of the id for this record.
`byte[]` | `serialize()` called by the class that is responsible for writing this sucker.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.RecordBase
`getRecordSize, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### serialize

    public final byte[] serialize()

  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Returns:
    byte array containing instance data

### toString

    public java.lang.String toString()

  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `java.lang.Object`

### getSid

    public abstract short getSid()

  return the non static version of the id for this record.

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### cloneViaReserialise

    public Record cloneViaReserialise()

  Clone the current record, via a call to serialize it, and another to create a new record from the bytes. May only be used for classes which don't have internal counts / ids in them. For those which do, a full model-aware cloning is needed, which allocates new ids / counts as needed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD